#!/usr/bin/env python3
import os
from uuid import uuid4

"""
Configuration
"""


__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "config"
__version__text__ = "1"


PORT = os.environ.get("VIDEON_PORT", 8080)
DEBUG = os.environ.get("VIDEON_DEBUG", True)


SENTRY_DSN = os.environ.get("SENTRY_DSN")
RELEASE_ID = os.environ.get("RELEASE_ID", "test")
RELEASEMODE = os.environ.get("VIDEON_RELEASEMODE", "dev")

POSTGRES_HOSTNAME = os.getenv("VIDEON_POSTGRES_HOSTNAME", "localhost")
POSTGRES_USERNAME = os.getenv("VIDEON_POSTGRES_USERNAME", "videon")
POSTGRES_PASSWORD = os.getenv("VIDEON_POSTGRES_PASSWORD", "videon")
POSTGRES_DB = os.getenv("VIDEON_POSTGRES_DB", "videon")

JWT_SECRET_KEY = os.getenv("VIDEON_POSTGRES_DB", str(uuid4()))

REGISTER_DISABLED = os.getenv("VIDEON_REGISTER_DISABLED", "FALSE").upper() == "TRUE"
